<?php

namespace App\Filament\Clusters\Settings\Resources\VisaMasterSettings;

use App\Filament\Clusters\Settings\Resources\VisaMasterSettings\Pages\CreateVisaMasterSettings;
use App\Filament\Clusters\Settings\Resources\VisaMasterSettings\Pages\EditVisaMasterSettings;
use App\Filament\Clusters\Settings\Resources\VisaMasterSettings\Pages\ListVisaMasterSettings;
use App\Filament\Clusters\Settings\Resources\VisaMasterSettings\Schemas\VisaMasterSettingsForm;
use App\Filament\Clusters\Settings\Resources\VisaMasterSettings\Tables\VisaMasterSettingsTable;
use App\Filament\Clusters\Settings\SettingsCluster;
use App\Modules\VisaMasterPaymentOrder\Models\VisaMasterSettings;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class VisaMasterSettingsResource extends Resource
{
    protected static ?string $model = VisaMasterSettings::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedDocumentText;

    protected static ?string $cluster = SettingsCluster::class;

    protected static ?string $recordTitleAttribute = 'display_name';

    public static function getNavigationGroup(): ?string
    {
        return __('Currencies');
    }

    public static function getModelLabel(): string
    {
        return __('Warning text');
    }

    public static function getPluralModelLabel(): string
    {
        return __('Warning text');
    }

    public static function form(Schema $schema): Schema
    {
        return VisaMasterSettingsForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return VisaMasterSettingsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListVisaMasterSettings::route('/'),
            'create' => CreateVisaMasterSettings::route('/create'),
            'edit' => EditVisaMasterSettings::route('/{record}/edit'),
        ];
    }
}
